Subject: Re: bug#77727: [PATCH] Limit rust-ts-specific comment-start check to rust-ts (bug#77727)

From: Eli Zaretskii <[email-masked]>
Date: Fri, 18 Apr 2025 08:57:41 +0300

> From: Konstantin Kharlamov <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Thu, 17 Apr 2025 21:12:19 +0300
> 
> > > Yes, it's being run as `make DESTDIR="$pkgdir/" install`
> >
> > What is the value of $pkgdir ?
> 
> It's /home/constantine/Projects/builds/emacs-git/pkg/emacs-git/

If that's so, then why is the .pdmp file installed under /usr/lib/ and
not under $pkgdir?  You said:

> > > Okay, so I just tried doing a `find -type f -name "*.pdmp" -
> > > delete`,
> > > and then rebuilding Emacs (to make sure no pdmp files are stale),
> > > then
> > > assembled/installed package. I see the file ends up is at
> > >
> > > /usr/lib/emacs/31.0.50/x86_64-pc-linux-gnu/emacs-
> > > e58067db04d41ca123ffe4ddc2ed9d0ebdef685b08d89c87b01125fbfd437df5.pd
> > > mp

This is not under $pkgdir.  And the /usr/lib/ part is incorrect: it
should be under libexec/ instead.  Or did you configure $libexecdir to
be in /usr/lib/ for some reason?  (That's not the default.)

Do you have a directory named like this:

  /home/constantine/Projects/builds/emacs-git/pkg/emacs-git/usr/libexec/emacs/31.0.50/x86_64-pc-linux-gnu/

and if you do, do you see a .pdmp file of the above name there?

> > Is the fingerprint in your case identical to the name of the .pdmp
> > file (sans the extension)?
> 
> Yes. I just rebuilt while saving the output, and there are 3
> fingerprints mentioning lines:
> 
> Dumping fingerprint: e58067db04d41ca123ffe4ddc2ed9d0ebdef685b08d89c87b01125fbfd437df5
> Dumping fingerprint: e58067db04d41ca123ffe4ddc2ed9d0ebdef685b08d89c87b01125fbfd437df5
> /usr/bin/install -c -m 644 src/emacs.pdmp "/home/constantine/Projects/builds/emacs-git/pkg/emacs-git//usr/lib/emacs/31.0.50/x86_64-pc-linux-gnu"/emacs-`./src/emacs --fingerprint`.pdmp
> 
> It is the file that ends up installed: /usr/lib/emacs/31.0.50/x86_64-
> pc-linux-gnu/emacs-
> e58067db04d41ca123ffe4ddc2ed9d0ebdef685b08d89c87b01125fbfd437df5.pdmp.

But note that the directory is incorrect: the "/usr/bin/install -c"
command correctly installs under $pkgdir, not in /usr/lib/emacs/.

> >   How many Emacs executables do you have in the $pkgdir/bin
> > directory (from where you supposedly invoke Emacs), and what are
> > their names?
> 
>     λ ls ./pkg/emacs-git/usr/bin/
>     ebrowse  emacs  emacs-31.0.50  emacsclient  etags.emacs  nemacs
>     λ pacman -Ql emacs-git | grep usr/bin/
>     emacs-git /usr/bin/
>     emacs-git /usr/bin/ebrowse
>     emacs-git /usr/bin/emacs
>     emacs-git /usr/bin/emacs-31.0.50
>     emacs-git /usr/bin/emacsclient
>     emacs-git /usr/bin/etags.emacs
>     emacs-git /usr/bin/nemacs

What does "ls -l" say about those executables?

> Btw, since you asked, I also just of thought of trying to invoke
> `./pkg/emacs-git/usr/bin/emacs -Q` rather than the global emacs. It ends up
> printing same output.

Anyway, I don't quite understand what happens (too many custom scripts
and variables are involved), but it looks like you have a botched
configuration of how Emacs is installed for some reason.  You need to
sort that out, I think.  I believe others are using installed Emacs 31
with no problems, so it's something local on your system.